Name:		audio-recorder
Version:	0.8.1
Release:	1%{?dist}
Summary:	Recording applet for your GNOME panel.

License:	GPL2
URL:		https://launchpad.net/audio-recorder
Source0:	%{name}-%{version}.tar.gz
#Patch0:         audio-recorder-configure.patch
#Patch1:         audio-recorder-port-to-gtk3.patch
#Patch2:         audio-recorder-include.patch

BuildRequires:	libgnome-media-profiles-devel gtk+-devel glib-devel gstreamer-devel gstreamer-plugins-base-devel pulseaudio-libs-devel dbus-devel dbus-glib-devel 

%description
This amazing program allows you to record your favourite music or audio to a file. 
It can record audio from your system's soundcard, microphones, browsers, webcams & more. 
Put simply; if it plays out of your loudspeakers you can record it. 

It has an advanced timer that can:
* Start, stop or pause recording at a given clock time.
* Start, stop or pause after a time period.
* Stop when the recorded file size exceeds a limit.
* Start recording on voice or sound (user can set the audio level and delay).
* Stop or pause recording on "silence" (user can set the audio level and delay).

The recording can be atomatically controlled by:
* RhytmBox audio player.
* Banshee audio player.
* Amarok and other MPRIS compatible players.
* Skype. It can automatically record all your Skype calls without any user interaction.

This program supports several audio (output) formats such as OGG audio, Flac, MP3 and WAV. 

User can also control the recorder from command line with --command <arg> option.
See audio-recorder --help for more information.



%prep
%setup -q -n audio-recorder
#%patch0
#%patch1
#%patch2

%build

aclocal && autoconf && automake -a

%configure
make    %{?_smp_mflags}
#make   CPPFLAGS=-I/usr/include/libgnome-media-profiles-3.0/libgnome-media-profiles/    %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%postun
if [ $1 -eq 0 ] ; then
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :
fi

%posttrans
    /usr/bin/glib-compile-schemas %{_datadir}/glib-2.0/schemas &> /dev/null || :

%files
%defattr(-,root,root,-)
%doc COPYING README
%{_bindir}/audio-recorder
%{_datadir}/applications/audio-recorder.desktop
%{_datadir}/audio-recorder/*
%{_datadir}/icons/hicolor/*
%{_datadir}/locale/*
%{_datadir}/pixmaps/*
%{_datadir}/glib-2.0/schemas/org.gnome.audio-recorder.gschema.xml

%changelog
* Mon Apr  2 2012 Paolo Patruno <pat1@localhost.localdomain> - 0.5-2
- updated to 0.8.1

* Sun Mar 18 2012 Paolo Patruno <p.patruno@iperbole.bologna.it> - 0.5-2
- patch makes audio-recorder compile and run with gtk3 by Antonio Ospite

* Sat Feb 11 2012 Paolo Patruno <p.patruno@iperbole.bologna.it> - 0.5-1
- starting with F16 release

