/*
 * Copyright (c) Linux community.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
 */

#ifndef _DCONF_H
#define _DCONF_H

#include <glib.h>
#include <gdk/gdk.h>

#if 0
#include <gconf/gconf-client.h>
#endif

void conf_get_boolean_value(gchar *key, gboolean *value);
void conf_get_int_value(gchar *key, gint *value);
void conf_get_string_value(gchar *key, gchar **value);
void conf_get_string_list(gchar *key, GList **list);

void conf_save_boolean_value(gchar *key, gboolean value);
void conf_save_int_value(gchar *key, gint value);
void conf_save_string_value(gchar *key, gchar *value);
void conf_save_string_list(gchar *key, GList *list);

#endif

