#ifndef _GST_LISTENER_H
#define _GST_LISTENER_H

#include <string.h>
#include <glib.h>
#include <gdk/gdk.h>
#include <math.h>
#include <gst/gst.h>
#include <gst/interfaces/propertyprobe.h>

void listener_module_init();
void listener_module_exit();

void listener_start_listening();
void listener_stop_listening();

void listener_clear_data();

void listener_get_average_rms(gdouble *avg_rms_dB, gdouble *avg_rms);

void listener_set_debug_flag(gboolean on_off);

// Uncomment this to show debug messages from listener.c
//#define DEBUG_LISTENER

#if defined(DEBUG_LISTENER) || defined(DEBUG_ALL)
#define LOG_LISTENER LOG_MSG
#else
#define LOG_LISTENER(x, ...)
#endif


#endif

