/*
 * Copyright (c) Linux community.
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Library General Public
 * License as published by the Free Software Foundation; either
 * version 2 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.	 See the GNU
 * Library General Public License for more details.
 *
 * You should have received a copy of the GNU Library General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA 02111-1307, USA.
*/
#include "skype-service.h"

G_DEFINE_TYPE(SkypeService, skype_service, G_TYPE_OBJECT)

static void skype_service_finalize (GObject *object) {
    G_OBJECT_CLASS (skype_service_parent_class)->finalize (object);
}

static void skype_service_class_init (SkypeServiceClass *klass) {
    GObjectClass *object_class;
    object_class = G_OBJECT_CLASS (klass);
    object_class->finalize = skype_service_finalize;
}

static void skype_service_init (SkypeService *object) {
    ;
}

SkypeService *skype_service_new (void) {
    return g_object_new(TYPE_SKYPE_SERVICE, NULL);
}

extern void skype_handle_message(gchar *message);

gboolean skype_service_notify_callback(SkypeService *object, gchar *message, GError **error) {
    // Notification message from Skype.

    skype_handle_message(message);

    // No errors
    *error = NULL;

    return TRUE;
}

